de.esprit.common.lic

## Class LicenseHandler

- java.lang.Object
- - de.esprit.appsuite.nio.ndf.NdfHandler
  - - de.esprit.common.lic.LicenseHandler

- All Implemented Interfaces:
    NdfConstants, NdfParseControl, SimpleLogSupport

      public class LicenseHandler
      extends NdfHandler

  This class ...
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nio.ndf.NdfConstants

      `allowedInNames, blockCommentChar, booleanFalseChar, booleanFalseLiteral, booleanTrueChar, booleanTrueLiteral, currentNdfDocVersion, defaultTextEndChar, defaultTextParagraphChar, lineCommentChar, ndfDocAuthorKey, ndfDocCreatedKey, ndfDocEncodingKey, ndfDocTypeKey, ndfDocVersionKey, nullLiteral, quotingBreakCodes, standardBreakCodes, structureChar, textValueBreakCodes, validTextBreakSymbols`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicenseHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `foundProperties(NdfStructure struct, NdfProperties props)` Called when properties are found on top level.
    `NdfProperties` | `getLicenseProps()`
    `void` | `startDocument(NdfStructure struct, NdfProperties headerProps)` Called when document parsing is started.

    - ### Methods inherited from class de.esprit.appsuite.nio.ndf.NdfHandler

      `acceptDocumentVersion, checkDocumentType, doneArray, doneDocument, doneList, doneObject, doneTable, doneText, foundArrayValue, foundArrayValue, foundListValue, foundListValue, foundTableCell, foundTableRow, foundTableRow, foundText, foundText, getCurrentNestingLevel, getCurrentStructure, getDocAuthor, getDocCreated, getDocEncoding, getDocType, getDocVersion, getFileInfo, getLineNumber, getLogChannel, getMaxNestingLevel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, startArray, startList, startObject, startTable, startText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LicenseHandler

          public LicenseHandler()

  - ### Method Detail

    - #### startDocument

          public void startDocument(NdfStructure struct,
                           NdfProperties headerProps)
                             throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when document parsing is started. Note that the document header properties are already read before this call.
      Overrides:
        `startDocument` in class `NdfHandler`
        `headerProps` - the header properties found in the document
      Throws:
        `java.lang.Exception`

    - #### foundProperties

          public void foundProperties(NdfStructure struct,
                             NdfProperties props)
                               throws java.lang.Exception

      Description copied from class: `NdfHandler`
      Called when properties are found on top level. Note that all properties on deeper levels obtain to the according structures and thus are passed to them.
      Overrides:
        `foundProperties` in class `NdfHandler`
      Throws:
        `java.lang.Exception`

    - #### getLicenseProps

          public NdfProperties getLicenseProps()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.